# gmtgravmag3d

Compute the gravity/magnetic anomaly of a 3-D body by the method of Okabe

## Synopsis

gmt gravmag3d -T p xyz_file[+m] -T v vert_file OR -T r|s raw_file [ -C density ] [ -D ] [ -E thickness ] [ -F xy_file ] [ -G outputgrid ] [ -H f_dec/f_dip/m_int/m_dec/m_dip ] [ -L z_observation ] [ -S radius ] [ -Z level ] [ -V[level] ] [ -fg] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

gravmag3d will compute the gravity or magnetic anomaly of a body described by a set of triangles. The output can either be along a given set of xy locations or on a grid. This method is not particularly fast but allows computing the anomaly of arbitrarily complex shapes.

## Required Arguments

-C density

  Sets body density in SI. This option is mutually exclusive with -H.

-H f_dec/f_dip/m_int/m_dec/m_dip

  Sets parameters for computing a magnetic anomaly. Use f_dec/f_dip to set the geomagnetic declination/inclination in degrees. m_int/m_dec/m_dip are the body magnetic intensity declination and inclination.

-F xy_file

  Provide locations where the anomaly will be computed. Note this option is mutually exclusive with -G.

-G outgrid

  Output the gravity or magnetic anomaly at nodes of this grid file.

-R xmin/xmax/ymin/ymax[+r][+u unit] (more …)

  Specify the region of interest.

-Tp xyz_file[+m] -Tv vert_file OR Tr|s raw_file

  Gives names of xyz (-Tp xyz_file[+m]) and vertex (-Tv vert_file) files defining a close surface. The file formats correspond to the output of the triangulate program. The optional +m flag to -Tp instructs the program that the xyzm file has four columns and that the fourth column contains the magnetization intensity (plus signal), which needs not to be constant. In this case the third argument of the -H option is ignored. A raw format (selected by the -Tr option) is a file with N rows (one per triangle) and 9 columns corresponding to the x,y,x coordinates of each of the three vertex of each triangle. Alternatively, the -Ts option indicates that the surface file is in the ASCII STL (Stereo Lithographic) format. These two type of files are used to provide a closed surface.

## Optional Arguments

-V[level] (more …)

  Select verbosity level [w].

-E[thickness]

  give layer thickness in m [Default = 0 m]. Use this option only when the triangles describe a non-closed surface and you want the anomaly of a constant thickness layer.

-L[z_observation]

  sets level of observation [Default = 0]. That is the height (z) at which anomalies are computed.

-S radius

  search radius in km. Triangle centroids that are further away than radius from current output point will not be taken into account. Use this option to speed up computation at expenses of a less accurate result.

-Z[level]

  level of reference plane [Default = 0]. Use this option when the triangles describe a non-closed surface and the volume is defined from each triangle and this reference level. An example will be the hater depth to compute a Bouguer anomaly.

-fg

  Geographic grids (dimensions of longitude, latitude) will be converted to meters via a “Flat Earth” approximation using the current ellipsoid parameters.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Grid Distance Units

If the grid does not have meter as the horizontal unit, append +u unit to the input file name to convert from the specified unit to meter. If your grid is geographic, convert distances to meters by supplying -fg instead.

## Examples

Suppose you …

>     gmt gravmag3d ...

## See Also

gmt, grdgravmag3d, talwani2d, talwani3d

## Reference

Okabe, M., Analytical expressions for gravity anomalies due to polyhedral bodies and translation into magnetic anomalies, Geophysics, 44, (1979), p 730-741.